Subject: question about gzip timing

From: "Azami, Noushin" <[email-masked]>
Date: Tue, 19 Sep 2023 20:05:30 +0000

Hello,

I'm trying to run gzip on a set of inputs and I want to time the compression and decompression so I can calculate the throughputs. I want the comparison to other compressors that I'm timing to be fair, so I need to time only the compressor and decompressor functions and not the entire code.
Is there a way to do this easily? Could you please point me to where in the source code (.c codes) I should insert timers to measure this correctly?

Thank you,
Noushin Azami